%define module_version 0.04
%define module_name Mojo-Email-Checker-SMTP
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Mojo/IOLoop.pm) perl(Mojo/IOLoop/Client.pm) perl(Mojo/IOLoop/Delay.pm) perl(Mojo/IOLoop/Stream.pm) perl(Mojo/URL.pm) perl(Mojo/Util.pm) perl(Net/DNS.pm) perl(Scalar/Util.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.04
Release: alt1
Summary: Email checking by smtp with Mojo enviroment.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SN/SNELIUS/%{module_name}-%{module_version}.tgz
BuildArch: noarch

%description
Check for email existence by emulation smtp session to mail server (mx or direct domain, cycling for multiple ip)
and get response. Mechanism description http://en.wikipedia.org/wiki/Callback_verification
%prep
%setup -n %{module_name}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README.md Changes LICENSE
%perl_vendor_privlib/M*

%changelog
* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- regenerated from template by package builder

* Thu Sep 04 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

